QwtPlotAbstractGLCanvas(3)

NAME
QwtPlotAbstractGLCanvas - Base class of QwtPlotOpenGLCanvas and QwtPlotGLCanvas.

SYNOPSIS

#include <qwt_plot_abstract_canvas.h>

Inherits QwtPlotAbstractCanvas.

Inherited by QwtPlotGLCanvas, and QwtPlotOpenGLCanvas.

  Public Types
enum PaintAttribute { BackingStore = 1, ImmediatePaint = 8 }
Paint attributes.
typedef QFlags< PaintAttribute > PaintAttributes
Paint attributes.

  Public Member Functions
QwtPlotAbstractGLCanvas (QWidget *canvasWidget)
Constructor.
virtual ~QwtPlotAbstractGLCanvas ()
Destructor.
void setPaintAttribute (PaintAttribute, bool on=true)
Changing the paint attributes.
bool testPaintAttribute (PaintAttribute) const
void setFrameStyle (int style)
int frameStyle () const
void setFrameShadow (QFrame::Shadow)
QFrame::Shadow frameShadow () const
void setFrameShape (QFrame::Shape)
QFrame::Shape frameShape () const
void setLineWidth (int)
int lineWidth () const
void setMidLineWidth (int)
int midLineWidth () const
int frameWidth () const
QRect frameRect () const
virtual void invalidateBackingStore ()=0
Invalidate the internal backing store.

  Protected Member Functions
void replot ()
void draw (QPainter *)
Helper function for the derived plot canvas.

Detailed Description

Base class of QwtPlotOpenGLCanvas and QwtPlotGLCanvas.

Definition at line 87 of file qwt_plot_abstract_canvas.h.

Member Typedef Documentation

  typedef QFlags<PaintAttribute > QwtPlotAbstractGLCanvas::PaintAttributes

Paint attributes. An ORed combination of PaintAttribute values.

Definition at line 122 of file qwt_plot_abstract_canvas.h.

Member Enumeration Documentation

  enum QwtPlotAbstractGLCanvas::PaintAttribute

Paint attributes. The default setting enables BackingStore and Opaque.

See also
    setPaintAttribute(), testPaintAttribute()

Enumerator

BackingStore
    Paint double buffered reusing the content of the pixmap buffer when possible. Using a backing store might improve the performance significantly, when working with widget overlays ( like rubber bands ). Disabling the cache might improve the performance for incremental paints (using QwtPlotDirectPainter ).

See also
    backingStore(), invalidateBackingStore()

ImmediatePaint
    When ImmediatePaint is set replot() calls repaint() instead of update().

See also
    replot(), QWidget::repaint(), QWidget::update()

Definition at line 97 of file qwt_plot_abstract_canvas.h.

Constructor & Destructor Documentation

  QwtPlotAbstractGLCanvas::QwtPlotAbstractGLCanvas (QWidget * canvasWidget) [explicit]

Constructor.

Parameters
    canvasWidget plot canvas widget

Definition at line 904 of file qwt_plot_abstract_canvas.cpp.

Member Function Documentation

  QRect QwtPlotAbstractGLCanvas::frameRect () const

Returns
    The rectangle where the frame is drawn in.

Definition at line 1105 of file qwt_plot_abstract_canvas.cpp.

  QFrame::Shadow QwtPlotAbstractGLCanvas::frameShadow () const

Returns
    Frame shadow

See also
    setFrameShadow(), QFrame::setFrameShadow()

Definition at line 1000 of file qwt_plot_abstract_canvas.cpp.

  QFrame::Shape QwtPlotAbstractGLCanvas::frameShape () const

Returns
    Frame shape

See also
    setFrameShape(), QFrame::frameShape()

Definition at line 1020 of file qwt_plot_abstract_canvas.cpp.

  int QwtPlotAbstractGLCanvas::frameStyle () const

Returns
    The bitwise OR between a frameShape() and a frameShadow()

See also
    setFrameStyle(), QFrame::frameStyle()

Definition at line 980 of file qwt_plot_abstract_canvas.cpp.

  int QwtPlotAbstractGLCanvas::frameWidth () const

Returns
    Frame width depending on the style, line width and midline width.

Definition at line 1084 of file qwt_plot_abstract_canvas.cpp.

  int QwtPlotAbstractGLCanvas::lineWidth () const

Returns
    Line width of the frame

See also
    setLineWidth(), midLineWidth()

Definition at line 1048 of file qwt_plot_abstract_canvas.cpp.

  int QwtPlotAbstractGLCanvas::midLineWidth () const

Returns
    Midline width of the frame

See also
    setMidLineWidth(), lineWidth()

Definition at line 1076 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::replot () [protected]
Invalidate the paint cache and repaint the canvas

See also
    invalidatePaintCache()

Definition at line 1093 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::setFrameShadow (QFrame::Shadow shadow)
Set the frame shadow

Parameters
    shadow Frame shadow

See also
    frameShadow(), setFrameShape(), QFrame::setFrameShadow()

Definition at line 991 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::setFrameShape (QFrame::Shape shape)
Set the frame shape

Parameters
    shape Frame shape

See also
    frameShape(), setFrameShadow(), QFrame::frameShape()

Definition at line 1011 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::setFrameStyle (int style)
Set the frame style

Parameters
    style The bitwise OR between a shape and a shadow.

See also
    frameStyle(), QFrame::setFrameStyle(), setFrameShadow(), setFrameShape()

Definition at line 965 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::setLineWidth (int width)
Set the frame line width

The default line width is 2 pixels.

Parameters
    width Line width of the frame

See also
    lineWidth(), setMidLineWidth()

Definition at line 1033 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::setMidLineWidth (int width)
Set the frame mid line width

The default midline width is 0 pixels.

Parameters
    width Midline width of the frame

See also
    midLineWidth(), setLineWidth()

Definition at line 1061 of file qwt_plot_abstract_canvas.cpp.

  void QwtPlotAbstractGLCanvas::setPaintAttribute (PaintAttribute attribute, bool on = true)

Changing the paint attributes.

Parameters
    attribute Paint attribute
    on On/Off

See also
    testPaintAttribute()

Definition at line 927 of file qwt_plot_abstract_canvas.cpp.

  bool QwtPlotAbstractGLCanvas::testPaintAttribute (PaintAttribute attribute) const
Test whether a paint attribute is enabled

Parameters
    attribute Paint attribute

Returns
    true, when attribute is enabled

See also
    setPaintAttribute()

Definition at line 952 of file qwt_plot_abstract_canvas.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.